Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
traceobj_arg Struct Reference

## Data Fields
int | running
int | keep_remains
VALUE | newobj_trace
VALUE | freeobj_trace
st_table * | object_table
st_table * | str_table
struct traceobj_arg * | prev_traceobj_arg

## Detailed Description

Definition at line 20 of file object_tracing.c.

## Field Documentation

## ◆ freeobj_trace

VALUE traceobj_arg::freeobj_trace

Definition at line 37 of file object_tracing.c.

## ◆ keep_remains

int traceobj_arg::keep_remains

Definition at line 35 of file object_tracing.c.

## ◆ newobj_trace

VALUE traceobj_arg::newobj_trace

Definition at line 36 of file object_tracing.c.

## ◆ object_table

st_table* traceobj_arg::object_table

Definition at line 38 of file object_tracing.c.

## ◆ prev_traceobj_arg

struct traceobj_arg* traceobj_arg::prev_traceobj_arg

Definition at line 40 of file object_tracing.c.

## ◆ running

int traceobj_arg::running

Definition at line 34 of file object_tracing.c.

## ◆ str_table

st_table* traceobj_arg::str_table

Definition at line 39 of file object_tracing.c.

The documentation for this struct was generated from the following file:

- ext/objspace/object_tracing.c